Subject: Re: bug#18699: 25.0.50; Windows 7: Odd length text property list

From: [email-masked] (Óscar Fuentes)
Date: Mon, 13 Oct 2014 21:39:33 +0200

Ken Brown <[email-masked]> writes:

> Right.  And it's *not* about the processor.  gcc running under 32-bit
> Cygwin will not define __x86_64__, regardless of the processor.

It is about the *target* processor of the compiler. Obviously if you
target x86 then __x86_64__ is expected to be undefined, regardless of
the *host* processor.

OTOH if you are saying that Cygwin does not define __x86_64__ when you
are cross-compiling to a x86_64 target on a x86 host, I'll consider that
a bug.

My understanding now is that the __x86_64__ test is there because Cygwin
does not define _WIN64.

Eli, both MinGW and MinGW-w64 compilers support sjlj and Dwarf exception
methods on x86. Maybe MinGW only supports one method on its official
binaries, but that's just a detail that can change at any moment. Plus
the user can build his own toolchain. And since when we do care about
C++ here? ;-)